var BASEFONT = 14; // Czcionka przy szerokości 800px
var PROPORTIONS = 16 / 9; // AspectRatio

Events = {};

Events.soundOff = function(){};
Events.soundOn = function(){};
Events.showLongText = function(){};

$(document).ready(function() {
	// window resize
	function changeWindowSizeEvent() {
		var width, height;
		height = $('body').height();
		width = height * PROPORTIONS;

		if (width > $('body').width()) {
			width = $('body').width();
			height = width / PROPORTIONS;
		}

		$('#inner-container').width(width);
		$('#inner-container').height(height);

		$('body').css('font-size', BASEFONT * width / 800 + 'px');
	}
	$(window).resize(changeWindowSizeEvent);
	changeWindowSizeEvent();

	// button events
	(function() {
		$(document).on('mousedown touchstart', '.button', function() {
			$(this).addClass('active');
		}).on('mouseup touchend touchcancel', '.button', function() {
			$(this).removeClass('active');
		});
		if (!/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
			$(document).on('mouseenter', '.button', function() {
				$(this).addClass('hover');
			}).on('mouseleave', '.button', function() {
				$(this).removeClass('hover');
			});
		}

	})();

	(function() {
		$('.sound.button').click(function(event) {
			if ($(this).hasClass('on')) {
				$(this).removeClass('on');
				$(this).addClass('off');
				
				Events.soundOff();
				
			} else {
				$(this).removeClass('off');
				$(this).addClass('on');
				
				Events.soundOn();
			}
		});
	})();
	
	(function() {
		$('.question.button').click(function(event) {
			Events.showLongText();
		});
	})();
});